PDA

View Full Version : Some issues with new grid....



sheynkman
26 Sep 2006, 6:50 AM
I have been integrating yui-ext with Ruby/Rails and love the library. With the right "helpers" (rails term), this thing will make coding really sweet.
I have used another grid in the past, but thought to give this one a try as a gradual complete switch to YUI from scriptaculous, etc.

The feature that interested me most were the new editors and I was really eager for .32. Got it, finally... but...

IN FIREFOX:

[Exception... "'Permission denied to set property XULElement.selectedIndex' when calling method: [nsIAutoCompletePopup::selectedIndex]" nsresult: "0x8057001e (NS_ERROR_XPC_JS_THREW_STRING)" location: "JS frame :: http://macsyn.thansys.com:3002/javascripts/yui-ext/yui-ext.js?1159269046 :: anonymous :: line 343" data: no]

I understand that has something to do with autocomplete. If I disable that in the code for the <INPUT> tag, no error, incorrect values are ignored, but no messages/warning appear.

IN IE
(I am using 7 since that's the way to go now, but same is true on 6 - tried it).
Error in yui-dom when doing "el.style[camel] = val;" here camel = 'height' and val = '-22px'. Firefox ingores this, but IE does not like the "-22px".

jack.slocum
26 Sep 2006, 3:23 PM
1. This silent error is fixed and will be in .32.1:

http://www.jackslocum.com/forum/viewtopic.php?t=86

2. This is generally caused when the container element or another element has the style display:none. Use visibility:hidden and the problem will go away.

If that isn't the problem, can you post some code or an example page where I can see the error happening? Otherwise I am just guessing.

Thanks,

Jack